log4cplus::SimpleLayout Class Reference

SimpleLayout consists of the LogLevel of the log statement, followed by " - " and then the log message itself. More...

`#include <layout.h>`

Inheritance diagram for log4cplus::SimpleLayout:
[legend]
Collaboration diagram for log4cplus::SimpleLayout:
[legend]

## Public Member Functions

| SimpleLayout ()
| SimpleLayout (const log4cplus::helpers::Properties &properties)
virtual | ~SimpleLayout ()
virtual void | formatAndAppend (log4cplus::tostream &output, const log4cplus::spi::InternalLoggingEvent &event)
Public Member Functions inherited from log4cplus::Layout
| Layout ()
| Layout (const helpers::Properties &properties)
virtual | ~Layout ()=0

## Additional Inherited Members

Protected Attributes inherited from log4cplus::Layout
LogLevelManager & | llmCache

## Detailed Description

SimpleLayout consists of the LogLevel of the log statement, followed by " - " and then the log message itself.

For example,

            DEBUG - Hello world

`PatternLayout` offers a much more powerful alternative.

Definition at line 104 of file layout.h.

## Constructor & Destructor Documentation

## SimpleLayout() [1/2]

log4cplus::SimpleLayout::SimpleLayout | ( |  | ) |

Referenced by formatAndAppend().

## SimpleLayout() [2/2]

log4cplus::SimpleLayout::SimpleLayout | ( | const log4cplus::helpers::Properties & | properties | ) |

## ~SimpleLayout()

virtual log4cplus::SimpleLayout::~SimpleLayout | ( |  | ) |

virtual

## Member Function Documentation

## formatAndAppend()

virtual void log4cplus::SimpleLayout::formatAndAppend | ( | log4cplus::tostream & | output,
|  | const log4cplus::spi::InternalLoggingEvent & | event )

virtual

Implements log4cplus::Layout.

References SimpleLayout().

The documentation for this class was generated from the following file:

- layout.h